Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ListShuttleTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ListShuttleTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ListShuttleTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ListShuttleTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActiveItem(javax.el.ValueExpression __activeItem)` Stores active item Setter for activeItem
`void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` Defines row keys that are updated after an Ajax request Setter for ajaxKeys
`void` | `setBottomControlClass(javax.el.ValueExpression __bottomControlClass)` CSS class for a "Bottom" control Setter for bottomControlClass
`void` | `setBottomControlLabel(javax.el.ValueExpression __bottomControlLabel)` Defines a label for a bottom control Setter for bottomControlLabel
`void` | `setBottomTitle(javax.el.ValueExpression __bottomTitle)` HTML: alt for the last button Setter for bottomTitle
`void` | `setColumnClasses(javax.el.ValueExpression __columnClasses)` Comma-separated list of CSS classes for columns Setter for columnClasses
`void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
`void` | `setControlsType(javax.el.ValueExpression __controlsType)` Defines type of a control: button or none.
`void` | `setControlsVerticalAlign(javax.el.ValueExpression __controlsVerticalAlign)` Customizes vertically a position of move/copy and order controls relatively to lists.
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setCopyAllControlClass(javax.el.ValueExpression __copyAllControlClass)` CSS class for a "Copy all" control Setter for copyAllControlClass
`void` | `setCopyAllControlLabel(javax.el.ValueExpression __copyAllControlLabel)` Defines a label for a "Copy all" control Setter for copyAllControlLabel
`void` | `setCopyAllTitle(javax.el.ValueExpression __copyAllTitle)` HTML: alt for "Copy all" button Setter for copyAllTitle
`void` | `setCopyControlClass(javax.el.ValueExpression __copyControlClass)` CSS class for "Copy" control Setter for copyControlClass
`void` | `setCopyControlLabel(javax.el.ValueExpression __copyControlLabel)` Defines a label for a "Copy" control Setter for copyControlLabel
`void` | `setCopyTitle(javax.el.ValueExpression __copyTitle)` HTML: alt for a "Copy" button Setter for copyTitle
`void` | `setDisabledControlClass(javax.el.ValueExpression __disabledControlClass)` CSS class for a disabled control Setter for disabledControlClass
`void` | `setDownControlClass(javax.el.ValueExpression __downControlClass)` CSS class for a "Down" control Setter for downControlClass
`void` | `setDownControlLabel(javax.el.ValueExpression __downControlLabel)` Defines a label for a down control Setter for downControlLabel
`void` | `setDownTitle(javax.el.ValueExpression __downTitle)` HTML: alt for bottom button Setter for downTitle
`void` | `setFastMoveControlsVisible(javax.el.ValueExpression __fastMoveControlsVisible)` If "false", 'Copy All' and 'Remove All' controls aren't displayed.
`void` | `setFastOrderControlsVisible(javax.el.ValueExpression __fastOrderControlsVisible)` If "false", 'Top' and 'Bottom' controls aren't displayed.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
`void` | `setListClass(javax.el.ValueExpression __listClass)` CSS class for a list Setter for listClass
`void` | `setListsHeight(javax.el.ValueExpression __listsHeight)` Defines height of the list.
`void` | `setMoveControlsVisible(javax.el.ValueExpression __moveControlsVisible)` If "false", 'Copy' and 'Remove' controls aren't displayed.
`void` | `setOnblur(javax.el.ValueExpression __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnbottomclick(javax.el.ValueExpression __onbottomclick)` A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick
`void` | `setOncopyallclick(javax.el.ValueExpression __oncopyallclick)` A JavaScript event handler; a button "Copy All" is clicked Setter for oncopyallclick
`void` | `setOncopyclick(javax.el.ValueExpression __oncopyclick)` HTML: a script expression; a button "Copy" is clicked Setter for oncopyclick
`void` | `setOndownclick(javax.el.ValueExpression __ondownclick)` A JavaScript event handler; a button "Down" is clicked Setter for ondownclick
`void` | `setOnfocus(javax.el.ValueExpression __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnlistchange(javax.el.ValueExpression __onlistchange)` HTML: script expression; before a list is changed Setter for onlistchange
`void` | `setOnlistchanged(javax.el.ValueExpression __onlistchanged)` HTML: script expression; a list is changed Setter for onlistchanged
`void` | `setOnorderchange(javax.el.ValueExpression __onorderchange)` HTML: script expression; called before ordering action Setter for onorderchange
`void` | `setOnorderchanged(javax.el.ValueExpression __onorderchanged)` HTML: script expression; called after ordering action Setter for onorderchanged
`void` | `setOnremoveallclick(javax.el.ValueExpression __onremoveallclick)` A JavaScript event handler; a button "Remove All" is clicked Setter for onremoveallclick
`void` | `setOnremoveclick(javax.el.ValueExpression __onremoveclick)` A JavaScript event handler; a button "Remove" is clicked Setter for onremoveclick
`void` | `setOntopclick(javax.el.ValueExpression __ontopclick)` A JavaScript event handler; a button "Top" is clicked Setter for ontopclick
`void` | `setOnupclick(javax.el.ValueExpression __onupclick)` HTML: a script expression; a button "Up" is clicked Setter for onupclick
`void` | `setOrderControlsVisible(javax.el.ValueExpression __orderControlsVisible)` If "false", 'Up' and 'Down' controls aren't displayed.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRemoveAllControlClass(javax.el.ValueExpression __removeAllControlClass)` CSS class for "Remove all" control Setter for removeAllControlClass
`void` | `setRemoveAllControlLabel(javax.el.ValueExpression __removeAllControlLabel)` Defines a label for a "Remove all" control Setter for removeAllControlLabel
`void` | `setRemoveAllTitle(javax.el.ValueExpression __removeAllTitle)` HTML: alt for "Remove all" button Setter for removeAllTitle
`void` | `setRemoveControlClass(javax.el.ValueExpression __removeControlClass)` CSS class for a "Remove" control Setter for removeControlClass
`void` | `setRemoveControlLabel(javax.el.ValueExpression __removeControlLabel)` Defines a label for a "Remove" control Setter for removeControlLabel
`void` | `setRemoveTitle(javax.el.ValueExpression __removeTitle)` HTML: alt for a "Remove" button Setter for removeTitle
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage
`void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` CSS class for a row Setter for rowClasses
`void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
`void` | `setShowButtonLabels(javax.el.ValueExpression __showButtonLabels)` Shows a label for a button.
`void` | `setSourceCaptionLabel(javax.el.ValueExpression __sourceCaptionLabel)` Defines source list caption representation text Setter for sourceCaptionLabel
`void` | `setSourceListWidth(javax.el.ValueExpression __sourceListWidth)` Defines width of a source list.
`void` | `setSourceRequired(javax.el.ValueExpression __sourceRequired)` Defines the case when source value is being validated.
`void` | `setSourceSelection(javax.el.ValueExpression __sourceSelection)` Manages selection in a source list from the server side Setter for sourceSelection
`void` | `setSourceValue(javax.el.ValueExpression __sourceValue)` Defines a List or Array of items to be shown in a source list Setter for sourceValue
`void` | `setSwitchByClick(javax.el.ValueExpression __switchByClick)` If "true", dragging between lists realized by click Setter for switchByClick
`void` | `setSwitchByDblClick(javax.el.ValueExpression __switchByDblClick)` If "true", items can be moved between the lists by double-clicking on them.
`void` | `setTargetCaptionLabel(javax.el.ValueExpression __targetCaptionLabel)` Defines target list caption representation text Setter for targetCaptionLabel
`void` | `setTargetListWidth(javax.el.ValueExpression __targetListWidth)` Defines width of a target list.
`void` | `setTargetRequired(javax.el.ValueExpression __targetRequired)` Defines the case when target value is being validated.
`void` | `setTargetSelection(javax.el.ValueExpression __targetSelection)` Manages selection in a target list from the server side Setter for targetSelection
`void` | `setTargetValue(javax.el.ValueExpression __targetValue)` Defines a List or Array of items to be shown in a target list Setter for targetValue
`void` | `setTopControlClass(javax.el.ValueExpression __topControlClass)` CSS class for a "Top" control Setter for topControlClass
`void` | `setTopControlLabel(javax.el.ValueExpression __topControlLabel)` Defines a label for a "Top" control Setter for topControlLabel
`void` | `setTopTitle(javax.el.ValueExpression __topTitle)` HTML: alt for the first button Setter for topTitle
`void` | `setUpControlClass(javax.el.ValueExpression __upControlClass)` CSS class for an "Up" control Setter for upControlClass
`void` | `setUpControlLabel(javax.el.ValueExpression __upControlLabel)` Defines a label for an "Up" control Setter for upControlLabel
`void` | `setUpTitle(javax.el.ValueExpression __upTitle)` HTML: alt for top button Setter for upTitle
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setVar(java.lang.String __var)` Defines a list on the page Setter for var

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ListShuttleTag

    public ListShuttleTag()

Method Detail

### setActiveItem

    public void setActiveItem(javax.el.ValueExpression __activeItem)

  Stores active item Setter for activeItem

  Parameters:
    `activeItem` - - new value

### setAjaxKeys

    public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

  Defines row keys that are updated after an Ajax request Setter for ajaxKeys

  Parameters:
    `ajaxKeys` - - new value

### setBottomControlClass

    public void setBottomControlClass(javax.el.ValueExpression __bottomControlClass)

  CSS class for a "Bottom" control Setter for bottomControlClass

  Parameters:
    `bottomControlClass` - - new value

### setBottomControlLabel

    public void setBottomControlLabel(javax.el.ValueExpression __bottomControlLabel)

  Defines a label for a bottom control Setter for bottomControlLabel

  Parameters:
    `bottomControlLabel` - - new value

### setBottomTitle

    public void setBottomTitle(javax.el.ValueExpression __bottomTitle)

  HTML: alt for the last button Setter for bottomTitle

  Parameters:
    `bottomTitle` - - new value

### setColumnClasses

    public void setColumnClasses(javax.el.ValueExpression __columnClasses)

  Comma-separated list of CSS classes for columns Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### setComponentState

    public void setComponentState(javax.el.ValueExpression __componentState)

  It defines EL-binding for a component state for saving or redefinition Setter for componentState

  Parameters:
    `componentState` - - new value

### setControlsType

    public void setControlsType(javax.el.ValueExpression __controlsType)

  Defines type of a control: button or none. Default value is "button". Setter for controlsType

  Parameters:
    `controlsType` - - new value

### setControlsVerticalAlign

    public void setControlsVerticalAlign(javax.el.ValueExpression __controlsVerticalAlign)

  Customizes vertically a position of move/copy and order controls relatively to lists. Default value is "middle" Setter for controlsVerticalAlign

  Parameters:
    `controlsVerticalAlign` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setCopyAllControlClass

    public void setCopyAllControlClass(javax.el.ValueExpression __copyAllControlClass)

  CSS class for a "Copy all" control Setter for copyAllControlClass

  Parameters:
    `copyAllControlClass` - - new value

### setCopyAllControlLabel

    public void setCopyAllControlLabel(javax.el.ValueExpression __copyAllControlLabel)

  Defines a label for a "Copy all" control Setter for copyAllControlLabel

  Parameters:
    `copyAllControlLabel` - - new value

### setCopyAllTitle

    public void setCopyAllTitle(javax.el.ValueExpression __copyAllTitle)

  HTML: alt for "Copy all" button Setter for copyAllTitle

  Parameters:
    `copyAllTitle` - - new value

### setCopyControlClass

    public void setCopyControlClass(javax.el.ValueExpression __copyControlClass)

  CSS class for "Copy" control Setter for copyControlClass

  Parameters:
    `copyControlClass` - - new value

### setCopyControlLabel

    public void setCopyControlLabel(javax.el.ValueExpression __copyControlLabel)

  Defines a label for a "Copy" control Setter for copyControlLabel

  Parameters:
    `copyControlLabel` - - new value

### setCopyTitle

    public void setCopyTitle(javax.el.ValueExpression __copyTitle)

  HTML: alt for a "Copy" button Setter for copyTitle

  Parameters:
    `copyTitle` - - new value

### setDisabledControlClass

    public void setDisabledControlClass(javax.el.ValueExpression __disabledControlClass)

  CSS class for a disabled control Setter for disabledControlClass

  Parameters:
    `disabledControlClass` - - new value

### setDownControlClass

    public void setDownControlClass(javax.el.ValueExpression __downControlClass)

  CSS class for a "Down" control Setter for downControlClass

  Parameters:
    `downControlClass` - - new value

### setDownControlLabel

    public void setDownControlLabel(javax.el.ValueExpression __downControlLabel)

  Defines a label for a down control Setter for downControlLabel

  Parameters:
    `downControlLabel` - - new value

### setDownTitle

    public void setDownTitle(javax.el.ValueExpression __downTitle)

  HTML: alt for bottom button Setter for downTitle

  Parameters:
    `downTitle` - - new value

### setFastMoveControlsVisible

    public void setFastMoveControlsVisible(javax.el.ValueExpression __fastMoveControlsVisible)

  If "false", 'Copy All' and 'Remove All' controls aren't displayed. Default value is "true". Setter for fastMoveControlsVisible

  Parameters:
    `fastMoveControlsVisible` - - new value

### setFastOrderControlsVisible

    public void setFastOrderControlsVisible(javax.el.ValueExpression __fastOrderControlsVisible)

  If "false", 'Top' and 'Bottom' controls aren't displayed. Default value is "true". Setter for fastOrderControlsVisible

  Parameters:
    `fastOrderControlsVisible` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setLabel

    public void setLabel(javax.el.ValueExpression __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### setListClass

    public void setListClass(javax.el.ValueExpression __listClass)

  CSS class for a list Setter for listClass

  Parameters:
    `listClass` - - new value

### setListsHeight

    public void setListsHeight(javax.el.ValueExpression __listsHeight)

  Defines height of the list. Default value is "140". Setter for listsHeight

  Parameters:
    `listsHeight` - - new value

### setMoveControlsVisible

    public void setMoveControlsVisible(javax.el.ValueExpression __moveControlsVisible)

  If "false", 'Copy' and 'Remove' controls aren't displayed. Default value is "true". Setter for moveControlsVisible

  Parameters:
    `moveControlsVisible` - - new value

### setOnblur

    public void setOnblur(javax.el.ValueExpression __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### setOnbottomclick

    public void setOnbottomclick(javax.el.ValueExpression __onbottomclick)

  A JavaScript event handler; a button "Bottom" is clicked Setter for onbottomclick

  Parameters:
    `onbottomclick` - - new value

### setOncopyallclick

    public void setOncopyallclick(javax.el.ValueExpression __oncopyallclick)

  A JavaScript event handler; a button "Copy All" is clicked Setter for oncopyallclick

  Parameters:
    `oncopyallclick` - - new value

### setOncopyclick

    public void setOncopyclick(javax.el.ValueExpression __oncopyclick)

  HTML: a script expression; a button "Copy" is clicked Setter for oncopyclick

  Parameters:
    `oncopyclick` - - new value

### setOndownclick

    public void setOndownclick(javax.el.ValueExpression __ondownclick)

  A JavaScript event handler; a button "Down" is clicked Setter for ondownclick

  Parameters:
    `ondownclick` - - new value

### setOnfocus

    public void setOnfocus(javax.el.ValueExpression __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### setOnlistchange

    public void setOnlistchange(javax.el.ValueExpression __onlistchange)

  HTML: script expression; before a list is changed Setter for onlistchange

  Parameters:
    `onlistchange` - - new value

### setOnlistchanged

    public void setOnlistchanged(javax.el.ValueExpression __onlistchanged)

  HTML: script expression; a list is changed Setter for onlistchanged

  Parameters:
    `onlistchanged` - - new value

### setOnorderchange

    public void setOnorderchange(javax.el.ValueExpression __onorderchange)

  HTML: script expression; called before ordering action Setter for onorderchange

  Parameters:
    `onorderchange` - - new value

### setOnorderchanged

    public void setOnorderchanged(javax.el.ValueExpression __onorderchanged)

  HTML: script expression; called after ordering action Setter for onorderchanged

  Parameters:
    `onorderchanged` - - new value

### setOnremoveallclick

    public void setOnremoveallclick(javax.el.ValueExpression __onremoveallclick)

  A JavaScript event handler; a button "Remove All" is clicked Setter for onremoveallclick

  Parameters:
    `onremoveallclick` - - new value

### setOnremoveclick

    public void setOnremoveclick(javax.el.ValueExpression __onremoveclick)

  A JavaScript event handler; a button "Remove" is clicked Setter for onremoveclick

  Parameters:
    `onremoveclick` - - new value

### setOntopclick

    public void setOntopclick(javax.el.ValueExpression __ontopclick)

  A JavaScript event handler; a button "Top" is clicked Setter for ontopclick

  Parameters:
    `ontopclick` - - new value

### setOnupclick

    public void setOnupclick(javax.el.ValueExpression __onupclick)

  HTML: a script expression; a button "Up" is clicked Setter for onupclick

  Parameters:
    `onupclick` - - new value

### setOrderControlsVisible

    public void setOrderControlsVisible(javax.el.ValueExpression __orderControlsVisible)

  If "false", 'Up' and 'Down' controls aren't displayed. Default value is "true". Setter for orderControlsVisible

  Parameters:
    `orderControlsVisible` - - new value

### setRemoveAllControlClass

    public void setRemoveAllControlClass(javax.el.ValueExpression __removeAllControlClass)

  CSS class for "Remove all" control Setter for removeAllControlClass

  Parameters:
    `removeAllControlClass` - - new value

### setRemoveAllControlLabel

    public void setRemoveAllControlLabel(javax.el.ValueExpression __removeAllControlLabel)

  Defines a label for a "Remove all" control Setter for removeAllControlLabel

  Parameters:
    `removeAllControlLabel` - - new value

### setRemoveAllTitle

    public void setRemoveAllTitle(javax.el.ValueExpression __removeAllTitle)

  HTML: alt for "Remove all" button Setter for removeAllTitle

  Parameters:
    `removeAllTitle` - - new value

### setRemoveControlClass

    public void setRemoveControlClass(javax.el.ValueExpression __removeControlClass)

  CSS class for a "Remove" control Setter for removeControlClass

  Parameters:
    `removeControlClass` - - new value

### setRemoveControlLabel

    public void setRemoveControlLabel(javax.el.ValueExpression __removeControlLabel)

  Defines a label for a "Remove" control Setter for removeControlLabel

  Parameters:
    `removeControlLabel` - - new value

### setRemoveTitle

    public void setRemoveTitle(javax.el.ValueExpression __removeTitle)

  HTML: alt for a "Remove" button Setter for removeTitle

  Parameters:
    `removeTitle` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validation message for the "required" facility, if the "required" facility is used Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setRowClasses

    public void setRowClasses(javax.el.ValueExpression __rowClasses)

  CSS class for a row Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### setRowKeyConverter

    public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

  Converter for a row key object Setter for rowKeyConverter

  Parameters:
    `rowKeyConverter` - - new value

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

  The attribute provides access to a row key in a Request scope Setter for rowKeyVar

  Parameters:
    `rowKeyVar` - - new value

### setShowButtonLabels

    public void setShowButtonLabels(javax.el.ValueExpression __showButtonLabels)

  Shows a label for a button. Default value is "true". Setter for showButtonLabels

  Parameters:
    `showButtonLabels` - - new value

### setSourceCaptionLabel

    public void setSourceCaptionLabel(javax.el.ValueExpression __sourceCaptionLabel)

  Defines source list caption representation text Setter for sourceCaptionLabel

  Parameters:
    `sourceCaptionLabel` - - new value

### setSourceListWidth

    public void setSourceListWidth(javax.el.ValueExpression __sourceListWidth)

  Defines width of a source list. Default value is "140". Setter for sourceListWidth

  Parameters:
    `sourceListWidth` - - new value

### setSourceRequired

    public void setSourceRequired(javax.el.ValueExpression __sourceRequired)

  Defines the case when source value is being validated. If the value is "true", there should be at least one item in the source list Setter for sourceRequired

  Parameters:
    `sourceRequired` - - new value

### setSourceSelection

    public void setSourceSelection(javax.el.ValueExpression __sourceSelection)

  Manages selection in a source list from the server side Setter for sourceSelection

  Parameters:
    `sourceSelection` - - new value

### setSourceValue

    public void setSourceValue(javax.el.ValueExpression __sourceValue)

  Defines a List or Array of items to be shown in a source list Setter for sourceValue

  Parameters:
    `sourceValue` - - new value

### setSwitchByClick

    public void setSwitchByClick(javax.el.ValueExpression __switchByClick)

  If "true", dragging between lists realized by click Setter for switchByClick

  Parameters:
    `switchByClick` - - new value

### setSwitchByDblClick

    public void setSwitchByDblClick(javax.el.ValueExpression __switchByDblClick)

  If "true", items can be moved between the lists by double-clicking on them. Default value is "true". Setter for switchByDblClick

  Parameters:
    `switchByDblClick` - - new value

### setTargetCaptionLabel

    public void setTargetCaptionLabel(javax.el.ValueExpression __targetCaptionLabel)

  Defines target list caption representation text Setter for targetCaptionLabel

  Parameters:
    `targetCaptionLabel` - - new value

### setTargetListWidth

    public void setTargetListWidth(javax.el.ValueExpression __targetListWidth)

  Defines width of a target list. Default value is "140". Setter for targetListWidth

  Parameters:
    `targetListWidth` - - new value

### setTargetRequired

    public void setTargetRequired(javax.el.ValueExpression __targetRequired)

  Defines the case when target value is being validated. If the value is "true", there should be at least one item in the target list Setter for targetRequired

  Parameters:
    `targetRequired` - - new value

### setTargetSelection

    public void setTargetSelection(javax.el.ValueExpression __targetSelection)

  Manages selection in a target list from the server side Setter for targetSelection

  Parameters:
    `targetSelection` - - new value

### setTargetValue

    public void setTargetValue(javax.el.ValueExpression __targetValue)

  Defines a List or Array of items to be shown in a target list Setter for targetValue

  Parameters:
    `targetValue` - - new value

### setTopControlClass

    public void setTopControlClass(javax.el.ValueExpression __topControlClass)

  CSS class for a "Top" control Setter for topControlClass

  Parameters:
    `topControlClass` - - new value

### setTopControlLabel

    public void setTopControlLabel(javax.el.ValueExpression __topControlLabel)

  Defines a label for a "Top" control Setter for topControlLabel

  Parameters:
    `topControlLabel` - - new value

### setTopTitle

    public void setTopTitle(javax.el.ValueExpression __topTitle)

  HTML: alt for the first button Setter for topTitle

  Parameters:
    `topTitle` - - new value

### setUpControlClass

    public void setUpControlClass(javax.el.ValueExpression __upControlClass)

  CSS class for an "Up" control Setter for upControlClass

  Parameters:
    `upControlClass` - - new value

### setUpControlLabel

    public void setUpControlLabel(javax.el.ValueExpression __upControlLabel)

  Defines a label for an "Up" control Setter for upControlLabel

  Parameters:
    `upControlLabel` - - new value

### setUpTitle

    public void setUpTitle(javax.el.ValueExpression __upTitle)

  HTML: alt for top button Setter for upTitle

  Parameters:
    `upTitle` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setVar

    public void setVar(java.lang.String __var)

  Defines a list on the page Setter for var

  Parameters:
    `var` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.